Skip to main content

Retrieve Balance

Get the Terminal Balance

GET /api/h2h/finance/balance

This method returns the current terminal balance starting from the beginning of the current UTC day, or the full balance for the previous UTC day. Use the merchant account to get data for other periods.

Important: The terminal is selected through the authorization token used in the request.

Request parameters

ParameterTypeComment
dateDateTerminal balance for the requested date. If the date is today, the response returns the current balance from the beginning of the UTC day. If the date is yesterday, it returns the balance for the previous day. Any other date value is invalid

Response parameters

ParameterTypeComment
terminalPublicIdUUIDPublic identifier of the merchant terminal
dateDateUTC day for which the terminal balance is returned
balanceNumberCurrent balance value in the format 1108.32
currencyStringPayment currency (RUB, EUR, USD)

Get Balance: request and response example


Technical Documentation